<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structipv4__hdr__t" kind="struct" language="C++" prot="public">
    <compoundname>ipv4_hdr_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structipv4__hdr__t_1a59515db21e9434723ccbb06693972375" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t ipv4_hdr_t::version_ihl</definition>
        <argsstring />
        <name>version_ihl</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="117" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="117" />
      </memberdef>
      <memberdef id="structipv4__hdr__t_1a35471eed25519cb7a84cf0112fd533d8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t ipv4_hdr_t::tos</definition>
        <argsstring />
        <name>tos</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="118" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="118" />
      </memberdef>
      <memberdef id="structipv4__hdr__t_1af759aba0a1f2ed43f7da9f04f263023c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t ipv4_hdr_t::tot_len</definition>
        <argsstring />
        <name>tot_len</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="119" />
      </memberdef>
      <memberdef id="structipv4__hdr__t_1aca87fc62e967fa30a1004bb2d1bd8e2e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t ipv4_hdr_t::id</definition>
        <argsstring />
        <name>id</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="120" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="120" />
      </memberdef>
      <memberdef id="structipv4__hdr__t_1a80e5881d2002f1e4b7aa6f5d9a432943" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t ipv4_hdr_t::frag</definition>
        <argsstring />
        <name>frag</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="121" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="121" />
      </memberdef>
      <memberdef id="structipv4__hdr__t_1aa9df79297628681755de7d4aa47ebc29" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t ipv4_hdr_t::ttl</definition>
        <argsstring />
        <name>ttl</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="122" />
      </memberdef>
      <memberdef id="structipv4__hdr__t_1a35102c22a0029b3d51e541f7b7f00e98" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t ipv4_hdr_t::prot</definition>
        <argsstring />
        <name>prot</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="123" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="123" />
      </memberdef>
      <memberdef id="structipv4__hdr__t_1a9413cc5e7e25065992153973d5e91c94" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t ipv4_hdr_t::hdr_chksum</definition>
        <argsstring />
        <name>hdr_chksum</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="124" />
      </memberdef>
      <memberdef id="structipv4__hdr__t_1ad7145b8711e4bed17f740abc048cad75" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t ipv4_hdr_t::src_ip[IPV4_ADDR_LEN]</definition>
        <argsstring>[IPV4_ADDR_LEN]</argsstring>
        <name>src_ip</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="125" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="125" />
      </memberdef>
      <memberdef id="structipv4__hdr__t_1a0d0888a4f2b2d2a40698ee946fbbc7ed" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t ipv4_hdr_t::dst_ip[IPV4_ADDR_LEN]</definition>
        <argsstring>[IPV4_ADDR_LEN]</argsstring>
        <name>dst_ip</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="126" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="126" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="127" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="116" />
    <listofallmembers>
      <member prot="public" refid="structipv4__hdr__t_1a0d0888a4f2b2d2a40698ee946fbbc7ed" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>dst_ip</name></member>
      <member prot="public" refid="structipv4__hdr__t_1a80e5881d2002f1e4b7aa6f5d9a432943" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>frag</name></member>
      <member prot="public" refid="structipv4__hdr__t_1a9413cc5e7e25065992153973d5e91c94" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>hdr_chksum</name></member>
      <member prot="public" refid="structipv4__hdr__t_1aca87fc62e967fa30a1004bb2d1bd8e2e" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>id</name></member>
      <member prot="public" refid="structipv4__hdr__t_1a35102c22a0029b3d51e541f7b7f00e98" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>prot</name></member>
      <member prot="public" refid="structipv4__hdr__t_1ad7145b8711e4bed17f740abc048cad75" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>src_ip</name></member>
      <member prot="public" refid="structipv4__hdr__t_1a35471eed25519cb7a84cf0112fd533d8" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>tos</name></member>
      <member prot="public" refid="structipv4__hdr__t_1af759aba0a1f2ed43f7da9f04f263023c" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>tot_len</name></member>
      <member prot="public" refid="structipv4__hdr__t_1aa9df79297628681755de7d4aa47ebc29" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>ttl</name></member>
      <member prot="public" refid="structipv4__hdr__t_1a59515db21e9434723ccbb06693972375" virt="non-virtual"><scope>ipv4_hdr_t</scope><name>version_ihl</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>